import '../../../../food_delivery_client.dart';

class WLayout extends StatelessWidget {
  const WLayout({
    super.key,
    this.bgColor,
    this.bottom = true,
    this.top = true,
    this.left = true,
    this.right = true,
    required this.child,
  });

  final Color? bgColor;
  final bool bottom;
  final bool top;
  final bool right;
  final bool left;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Container(
      color: bgColor ?? context.theme.scaffoldBackgroundColor,
      child: SafeArea(
        top: top,
        bottom: bottom,
        right: right,
        left: left,
        child: child,
      ),
    );
  }
}
